AmiKit - Your Modern Retro Experience
  Forums Register Search Statistics AmiKit X  QuickGuide  SATISFIED WITH OUR SUPPORT? 
Online now: Guests - 1
Members - 0
Most users ever online: 123 [22 Apr 2016 12:58]
Guests - 123 / Members - 0
I have a suggestion AmiKit Support Forum / I have a suggestion /  
 

OWB ?

 
 
Page  Page 1 of 2:  1  2  Next »

Author turrican3
Partaker
#1 Posted: 25 Jan 2009 16:12 
why don't you add OWB web browser to amikit ?

Author ChaosLord
Partaker
#2 Posted: 26 Jan 2009 03:49 
As soon as you port OWB to classic amiga platform he will include it.

Author AmiKit
Admin
#3 Posted: 26 Jan 2009 08:42 Edited by: AmiKit 
OWB for classic 68k platform exists for a long time. http://strohmayer.org/owb/

But only recently updated version (1.4 from 28.11.2008) fixed a nasty bug that requires AmiKit to switch to 68040 CPU emulation (even though the requirement was 020CPU+FPU).

However the OWB still requires some extra files to be installed and those files require additional permissions to be included with AmiKit.

In addition the OWB requirements are very specific (OS3.9 with BoingBag2 installed) while the mature and stability of OWB is somwhat low.

Author ChaosLord
Partaker
#4 Posted: 26 Jan 2009 14:58 
I meant "When it is ported and it actually works"

Author klesterjr
Moderator
#5 Posted: 30 Jan 2009 15:38 Edited by: klesterjr 
Well ...

It DOES work -- just not very speedily!

http://www.five-star.com/amikit/origyn.png

Author Kaminari
Partaker
#6 Posted: 5 Aug 2009 10:23 
The 68K version of NetSurf runs on AmigaOS 3.0. Might be a better alternative?

Author amyren
Partaker
#7 Posted: 1 Nov 2009 13:24 
I just tried both Netsuft and OWB 1.3.
Netsurf loaded ok. Then I tried OWB. OWB complained about it needed ixemul.library 48.x or newer.
I was then a bit puzzled, since my version reported as 61.1

After reading this, I downloaded the required 48.x version. But then the updating program installed the updates up to 1.5.9, and I noticed that the 48.3 libs was mentioned in one of the packages.

But after that OWB now says it nees the 3.9 boingbag 2 (exec V45). I tried to reinstall boingbag 2, but still the same message.

Then I wanted to try Netsurf again, but now also that refuse to run. It say it needs ixemul 61.1 or better.

I found why this happens though. The 61.1 libs are incuded in the recent Netsurf archive, so when installing Netsurf it will replace the 48.x libraries.

So it seemes that Netsurt and OWB dont like to be on the same machine.

So what I done now is to be able to run both, I reinstalled Amikit 1.5.0 and boingbag 2 for OS39. (I'm using AmigaOSXL as source). Then extracted the OWB and NetSurf archives (but not installing Netsurf, because that will replace the 48.x libraries). Then I made a script that will assign the libs to the Netsurf/libs drawer. Next line I just assign the sys:libs with the ADD option so that it will look in the netsurf/libs drawer first.

Offcourse a reebot will be needed between running OWB after Netsurf or the other way around.

Author amyren
Partaker
#8 Posted: 1 Nov 2009 13:26 Edited by: amyren 
sorry, just a correction. I was running OWB 1.5, not 1.3

EDIT: ops. just discovered where the 'Edit' button was located. The forum layout is slightly different than other forums I use, so I didnt find it first. Next time I will know, no need to post again just to correct something

Author AmiKit
Admin
#9 Posted: 2 Nov 2009 20:55 
Thanks for the info!!

Author Mleko
Partaker
#10 Posted: 24 Dec 2009 17:12 
Hello, wher I can download OWB for AmiKIT.


Here www.strohmayer.org/owb/ is only for Os 4, on the Aminet is only for Os 4 and MorhOS.

Author AmiKit
Admin
#11 Posted: 24 Dec 2009 18:06 

Author Mleko
Partaker
#12 Posted: 25 Dec 2009 12:42 
Thank youBut I need ixnet.library 48.X to start OWB ?

Author AmiKit
Admin
#13 Posted: 25 Dec 2009 12:59 

Author Mleko
Partaker
#14 Posted: 25 Dec 2009 23:11 
Thank you but I`v got problem witch run OWB, when I clic on the OWB icon, on the top taskbar display: "starting OWB" and nothing happend.

Here www.owbamiga.jasky.pl is my screenshot from snoopdos.

I`v got Athlon 4400 2.5GB RAM and I use DOpus.

What nau???

Author 0scrooge0
Partaker
#15 Posted: 20 Jan 2010 14:33 Edited by: 0scrooge0 
@Mleko:

Download this: http://aminet.net/comm/tcp/AmiTCP-demo-40.lha
Then:
- extract it in a directory of your choice
- add this line: 'assign AmiTCP: <path_of_the_directory_in_which_u_extracted_the_previous_archive>' to s:user-startup

- reboot

IMPORTANT:

Owb 1.6 seems to NOT like afa_os; so u better disable afa_os first !

Page  Page 1 of 2:  1  2  Next » 
I have a suggestion AmiKit Support Forum / I have a suggestion /
 OWB ?

This topic is closed. New replies are not allowed.

 
 
 
AmiKit Support Forum Powered by Forum Script miniBB ®
↑ Top